commit:     e99e34d4250854e609742e4cdec8790e8cbf5589
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 15 18:34:19 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 15 18:34:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e99e34d4

dev-python/commentjson: EAPI=8, PEP517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/commentjson/commentjson-0.9.0-r2.ebuild | 40 ++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-python/commentjson/commentjson-0.9.0-r2.ebuild 
b/dev-python/commentjson/commentjson-0.9.0-r2.ebuild
new file mode 100644
index 000000000000..e0e583facbfe
--- /dev/null
+++ b/dev-python/commentjson/commentjson-0.9.0-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Add Python and JavaScript style comments in your JSON files"
+HOMEPAGE="
+       https://pypi.org/project/commentjson/
+       https://github.com/vaidik/commentjson/
+"
+SRC_URI="
+       https://github.com/vaidik/commentjson/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/lark[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/six[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       # remove lark-parser dependency to allow painless upgrade to lark
+       sed -e '/lark-parser/d' -i setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to